- Main Page
- Namespaces
- Data Structures
- Files

- Search for |

- File List
- Globals

# HydroSDL/hydro_source/get_file_arguments.h File Reference

`#include "math.h"`
`#include "mex.h"`
`#include "string.h"`
`#include "Datas.h"`

Include dependency graph for get_file_arguments.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Defines
#define | PARAMNUM 10
#define | STATENUM 12
## Functions
int | read_arguments_from_file (struct parameters *P, struct joy_parameters *jP, double *state, double *time)
| Read arguments from file.

## Detailed Description

Author:
  basile.graf@epfl.ch

Functions to read the input parameters from the input parameters file. This file is in the program folde or is generated by MATLAB

Definition in file get_file_arguments.h.

## Define Documentation

#define PARAMNUM 10

Definition at line 12 of file get_file_arguments.h.

Referenced by copy_to_arg(), initParameters(), print_arguments_values(), and read_arguments_from_file().

#define STATENUM 12

Definition at line 13 of file get_file_arguments.h.

Referenced by copy_to_arg(), initParameters(), main(), print_arguments_values(), and read_arguments_from_file().

## Function Documentation

int read_arguments_from_file | ( | struct parameters * | P,
|  | struct joy_parameters * | jP,
|  | double * | state,
|  | double * | time |
| ) |  |  |

Read arguments from file.

Global function to get the arguments values from the file (the one to use from outside this scope)

Parameters:

  | *P | : pointer to the parameters struct
  | *jP | : pointer to the joy_parameters struct
  | *state | : pointer to the state vector
  | *time | : pointer to the time parameter

Definition at line 138 of file get_file_arguments.cpp.

References readStruct::abstol, copy_to_arg(), readStruct::dirDo, initJoyParameters(), initParameters(), readStruct::param, PARAMNUM, print_arguments_values(), readStruct::reltol, readStruct::SimTime, STATENUM, and readStruct::X0.

Referenced by main().